---------------------
PatchSet 1043 
Date: 2001/01/03 04:55:22
Author: rbcollins
Branch: auth_rewrite
Tag: (none) 
Log:
removed ntlm related entries

Members: 
	src/cf.data.pre:1.1.1.3.4.1.2.18.2.9->1.1.1.3.4.1.2.18.2.10 
	src/protos.h:1.1.1.3.12.17.2.14->1.1.1.3.12.17.2.15 
	src/structs.h:1.1.1.3.4.1.2.26.2.16->1.1.1.3.4.1.2.26.2.17 

Index: squid/src/cf.data.pre
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cf.data.pre,v
retrieving revision 1.1.1.3.4.1.2.18.2.9
retrieving revision 1.1.1.3.4.1.2.18.2.10
diff -u -r1.1.1.3.4.1.2.18.2.9 -r1.1.1.3.4.1.2.18.2.10
--- squid/src/cf.data.pre	1 Jan 2001 10:48:28 -0000	1.1.1.3.4.1.2.18.2.9
+++ squid/src/cf.data.pre	3 Jan 2001 04:55:22 -0000	1.1.1.3.4.1.2.18.2.10
@@ -1,6 +1,6 @@
 
 #
-# $Id: cf.data.pre,v 1.1.1.3.4.1.2.18.2.9 2001/01/01 10:48:28 rbcollins Exp $
+# $Id: cf.data.pre,v 1.1.1.3.4.1.2.18.2.10 2001/01/03 04:55:22 rbcollins Exp $
 #
 #
 # SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -1145,61 +1145,13 @@
 
 NOCOMMENT_START
 #Recommended minimum configuration:
-#authparam basic program <uncomment and complete this line>
-authparam basic children 5
-authparam basic realm Squid proxy-caching web server
-authparam basic credentialsttl 2 hours
+#auth_param basic program <uncomment and complete this line>
+auth_param basic children 5
+auth_param basic realm Squid proxy-caching web server
+auth_param basic credentialsttl 2 hours
 NOCOMMENT_END
 DOC_END
 
-
-NAME: authenticate_program_ntlm
-TYPE: wordlist
-LOC: Config.Program.ntlmauthenticate
-DEFAULT: none
-DOC_START
-	Specify the command for the external ntlm authenticator.  Such a
-	program reads a line containing the uuencoded NEGOTIATE and replies
-	with the ntlm CHALLENGE, then waits for the response and answers with
-	"OK" or "ERR" in an endless loop.  If you use an ntlm authenticator,
-	make sure you have 1 acl of type proxy_auth.  By default, the
-	ntlm authenticator_program is not used.
-
-	authenticate_program @DEFAULT_PREFIX@/bin/ntlm_auth 
-DOC_END
-
-NAME: authenticate_children_ntlm
-TYPE: int
-DEFAULT: 5
-LOC: Config.ntlmauthenticateChildren
-DOC_START
-	The number of ntlm authenticator processes to spawn (default 5). If you
-	start too few Squid will have to wait for them to process a backlog
-	of usercode/password verifications, slowing it down. When password
-	verifications are done via a (slow) network you are likely to need
-	lots of ntlm authenticator processes.
-DOC_END
-
-NAME: max_ntlm_challenge_reuses
-TYPE: int
-DEFAULT: 0
-LOC: Config.ntlmchallengeuses
-DOC_START
-        The maximum number of times a challenge given by a ntlm authentication helper
-        can be reused. Increasing this number increases your exposure to replay attacks
-        on your network. 0 means use the challenge only once. (disable challenge caching)
-        See max_ntlm_challenge_lifetime for more information.
-DOC_END
-
-NAME: max_ntlm_challenge_lifetime
-TYPE: time_t
-DEFAULT: 2 minutes
-LOC: Config.ntlmchallengelifetime
-DOC_START
-        The maximum time period that a ntlm challenge is reused over. The actual period
-        will be the minimum of this time AND the number of reused challenges.
-DOC_END
-
 NAME: authenticate_cache_garbage_interval
 TYPE: time_t
 DEFAULT: 1 hour
Index: squid/src/protos.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/protos.h,v
retrieving revision 1.1.1.3.12.17.2.14
retrieving revision 1.1.1.3.12.17.2.15
diff -u -r1.1.1.3.12.17.2.14 -r1.1.1.3.12.17.2.15
--- squid/src/protos.h	2 Jan 2001 10:57:02 -0000	1.1.1.3.12.17.2.14
+++ squid/src/protos.h	3 Jan 2001 04:55:22 -0000	1.1.1.3.12.17.2.15
@@ -1,6 +1,6 @@
 
 /*
- * $Id: protos.h,v 1.1.1.3.12.17.2.14 2001/01/02 10:57:02 rbcollins Exp $
+ * $Id: protos.h,v 1.1.1.3.12.17.2.15 2001/01/03 04:55:22 rbcollins Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -734,7 +734,9 @@
 extern void  authenticateFreeProxyAuthUserACLResults(void *data);
 extern void  authenticateProxyUserCacheCleanup(void *);
 extern void  authenticateInitUserCache();
+#if 0
 extern void  authenticateProxyAuthCacheAddLink(const char *key, auth_user_t *);
+#endif
 extern int   authenticateActiveSchemeCount();
 extern int   authenticateSchemeCount();
 extern void  authenticateUserNameCacheAdd(auth_user_t *auth_user);
Index: squid/src/structs.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/structs.h,v
retrieving revision 1.1.1.3.4.1.2.26.2.16
retrieving revision 1.1.1.3.4.1.2.26.2.17
diff -u -r1.1.1.3.4.1.2.26.2.16 -r1.1.1.3.4.1.2.26.2.17
--- squid/src/structs.h	2 Jan 2001 10:57:02 -0000	1.1.1.3.4.1.2.26.2.16
+++ squid/src/structs.h	3 Jan 2001 04:55:22 -0000	1.1.1.3.4.1.2.26.2.17
@@ -1,6 +1,6 @@
 
 /*
- * $Id: structs.h,v 1.1.1.3.4.1.2.26.2.16 2001/01/02 10:57:02 rbcollins Exp $
+ * $Id: structs.h,v 1.1.1.3.4.1.2.26.2.17 2001/01/03 04:55:22 rbcollins Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -400,7 +400,6 @@
 	char *dnsserver;
 #endif
 	wordlist *redirect;
-	wordlist *ntlmauthenticate;
 #if USE_ICMP
 	char *pinger;
 #endif
@@ -415,12 +414,6 @@
     time_t authenticateGCInterval;
     time_t authenticateTTL;
     time_t authenticateIpTTL;
-    int ntlmauthenticateChildren;
-    int ntlmchallengeuses;
-    time_t ntlmchallengelifetime;
-#if 0
-    char *authenticate_ntlm_default_domain;
-#endif
     struct {
 	int single_host;
 	char *host;
